module HasVersions
  module Record
    module Orm
      module CassandraObject
        def versioning_encode_value(name, value)
          return if value.nil?
          attribute_definitions[name.to_sym].coder.encode(value)
        end

        def versioning_decode_value(name, value)
          return if value.nil?
          attribute_definitions[name.to_sym].coder.decode(value)
        end
      end
    end
  end
end
